searchData={"items":[{"type":"module","title":"MartianEx","doc":"`MartianEx` is an adaptation of the JavaScript library\n[@tryfabric/martian](https://github.com/tryfabric/martian).\n\nJust like the original library, MartianEx aims at processing markdown content\nto Notion API block format.\n\nMartianEx uses Earmark to create a Markdown AST, which is then converted into\nNotion API block objects.","ref":"MartianEx.html"},{"type":"module","title":"Supported Markdown Elements - MartianEx","doc":"- Inline Rich Text elements\n- Lists\n- Headers, down to h3\n- Code blocks, including language highlithing\n- Block quotes\n- Tables\n- Block images\n  - Inline images are ignored","ref":"MartianEx.html#module-supported-markdown-elements"},{"type":"function","title":"MartianEx.markdown_to_blocks/1","doc":"Converts a Markdown content to Notion block objects","ref":"MartianEx.html#markdown_to_blocks/1"},{"type":"function","title":"Examples - MartianEx.markdown_to_blocks/1","doc":"iex> MartianEx.markdown_to_blocks(\"","ref":"MartianEx.html#markdown_to_blocks/1-examples"},{"type":"function","title":"heading2\\n [x] todo\\n\") - MartianEx.markdown_to_blocks/1","doc":"{:ok, [\n      %{\n        type: \"heading_2\",\n        object: \"block\",\n        heading_2: %{\n          rich_text: [\n            %{\n              type: \"text\",\n              text: %{content: \"heading2\"},\n              annotations: %{\n                code: false,\n                color: \"default\",\n                italic: false,\n                underline: false,\n                bold: false,\n                strikethrough: false\n              }\n            }\n          ]\n        }\n      },\n      %{\n        type: \"paragraph\",\n        paragraph: %{\n          rich_text: [\n            %{\n              type: \"text\",\n              text: %{content: \" [x] todo\"},\n              annotations: %{\n                code: false,\n                color: \"default\",\n                italic: false,\n                underline: false,\n                bold: false,\n                strikethrough: false\n              }\n            }\n          ]\n        },\n        object: \"block\"\n      }\n    ]}","ref":"MartianEx.html#markdown_to_blocks/1-heading2-n-x-todo-n"},{"type":"module","title":"MartianEx.Notion.Blocks","doc":"","ref":"MartianEx.Notion.Blocks.html"},{"type":"function","title":"MartianEx.Notion.Blocks.blockquote/2","doc":"","ref":"MartianEx.Notion.Blocks.html#blockquote/2"},{"type":"function","title":"MartianEx.Notion.Blocks.bulleted_list_item/2","doc":"","ref":"MartianEx.Notion.Blocks.html#bulleted_list_item/2"},{"type":"function","title":"MartianEx.Notion.Blocks.code/2","doc":"","ref":"MartianEx.Notion.Blocks.html#code/2"},{"type":"function","title":"MartianEx.Notion.Blocks.equation/1","doc":"","ref":"MartianEx.Notion.Blocks.html#equation/1"},{"type":"function","title":"MartianEx.Notion.Blocks.heading_one/1","doc":"","ref":"MartianEx.Notion.Blocks.html#heading_one/1"},{"type":"function","title":"MartianEx.Notion.Blocks.heading_three/1","doc":"","ref":"MartianEx.Notion.Blocks.html#heading_three/1"},{"type":"function","title":"MartianEx.Notion.Blocks.heading_two/1","doc":"","ref":"MartianEx.Notion.Blocks.html#heading_two/1"},{"type":"function","title":"MartianEx.Notion.Blocks.image/1","doc":"","ref":"MartianEx.Notion.Blocks.html#image/1"},{"type":"function","title":"MartianEx.Notion.Blocks.numbered_list_item/2","doc":"","ref":"MartianEx.Notion.Blocks.html#numbered_list_item/2"},{"type":"function","title":"MartianEx.Notion.Blocks.paragraph/1","doc":"","ref":"MartianEx.Notion.Blocks.html#paragraph/1"},{"type":"function","title":"MartianEx.Notion.Blocks.table/2","doc":"","ref":"MartianEx.Notion.Blocks.html#table/2"},{"type":"function","title":"MartianEx.Notion.Blocks.table_of_contents/0","doc":"","ref":"MartianEx.Notion.Blocks.html#table_of_contents/0"},{"type":"function","title":"MartianEx.Notion.Blocks.table_row/1","doc":"","ref":"MartianEx.Notion.Blocks.html#table_row/1"},{"type":"function","title":"MartianEx.Notion.Blocks.to_do/3","doc":"","ref":"MartianEx.Notion.Blocks.html#to_do/3"},{"type":"module","title":"MartianEx.Notion.Common","doc":"","ref":"MartianEx.Notion.Common.html"},{"type":"function","title":"MartianEx.Notion.Common.rich_text/3","doc":"","ref":"MartianEx.Notion.Common.html#rich_text/3"},{"type":"module","title":"MartianEx.Parser","doc":"`Parser` converts Markdown AST generated by Earmark into Notion block objects","ref":"MartianEx.Parser.html"},{"type":"function","title":"MartianEx.Parser.parse_blocks/1","doc":"Converts Earmark AST elements into Notion block objects","ref":"MartianEx.Parser.html#parse_blocks/1"},{"type":"function","title":"Examples - MartianEx.Parser.parse_blocks/1","doc":"iex> MartianEx.Parser.parse_blocks([{\"h1\", [], [\"Hello!\"], %{}}])\n  [\n    %{\n      type: \"heading_1\",\n      object: \"block\",\n      heading_1: %{\n        rich_text: [\n          %{\n            type: \"text\",\n            text: %{content: \"Hello!\"},\n            annotations: %{\n              code: false,\n              color: \"default\",\n              italic: false,\n              underline: false,\n              strikethrough: false,\n              bold: false\n            }\n          }\n        ]\n      }\n    }\n  ]","ref":"MartianEx.Parser.html#parse_blocks/1-examples"}],"content_type":"text/markdown"}